Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.coordinator
Class TwoPhaseOutcome

    java.lang.Object
      com.arjuna.ats.arjuna.coordinator.TwoPhaseOutcome

public class TwoPhaseOutcome
extends java.lang.Object

The outcomes which can be generated when a transaction attempts to prepare/commit/rollback.

Since:
  JTS 1.0.
Version:
  $Id: TwoPhaseOutcome.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com)

Field Summary
`static int` | `FINISH_ERROR`
`static int` | `FINISH_OK`
`static int` | `HEURISTIC_COMMIT`
`static int` | `HEURISTIC_HAZARD`
`static int` | `HEURISTIC_MIXED`
`static int` | `HEURISTIC_ROLLBACK`
`static int` | `INVALID_TRANSACTION`
`static int` | `NOT_PREPARED`
`static int` | `ONE_PHASE_ERROR`
`static int` | `PREPARE_NOTOK`
`static int` | `PREPARE_OK`
`static int` | `PREPARE_READONLY`

Constructor Summary
`TwoPhaseOutcome(int outcome)`

Method Summary
`int` | `getOutcome()`
`static void` | `print(java.io.PrintWriter strm, int res)`
`void` | `setOutcome(int outcome)`
`static java.lang.String` | `stringForm(int res)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREPARE_OK

    public static final int PREPARE_OK

See Also:
  Constant Field Values

### PREPARE_NOTOK

    public static final int PREPARE_NOTOK

See Also:
  Constant Field Values

### PREPARE_READONLY

    public static final int PREPARE_READONLY

See Also:
  Constant Field Values

### HEURISTIC_ROLLBACK

    public static final int HEURISTIC_ROLLBACK

See Also:
  Constant Field Values

### HEURISTIC_COMMIT

    public static final int HEURISTIC_COMMIT

See Also:
  Constant Field Values

### HEURISTIC_MIXED

    public static final int HEURISTIC_MIXED

See Also:
  Constant Field Values

### HEURISTIC_HAZARD

    public static final int HEURISTIC_HAZARD

See Also:
  Constant Field Values

### FINISH_OK

    public static final int FINISH_OK

See Also:
  Constant Field Values

### FINISH_ERROR

    public static final int FINISH_ERROR

See Also:
  Constant Field Values

### NOT_PREPARED

    public static final int NOT_PREPARED

See Also:
  Constant Field Values

### ONE_PHASE_ERROR

    public static final int ONE_PHASE_ERROR

See Also:
  Constant Field Values

### INVALID_TRANSACTION

    public static final int INVALID_TRANSACTION

See Also:
  Constant Field Values

Constructor Detail

### TwoPhaseOutcome

    public TwoPhaseOutcome(int outcome)

Method Detail

### setOutcome

    public void setOutcome(int outcome)

### getOutcome

    public int getOutcome()

### stringForm

    public static java.lang.String stringForm(int res)

  Returns:
    `String` representation of the status.

### print

    public static void print(java.io.PrintWriter strm,
                             int res)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD